<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_gravity="bottom"
    android:id="@+id/ImageCollectLayout"
    android:background="@color/all_transparent"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:orientation="vertical"
        android:id="@+id/ImageCollectPreviewLayout"
        android:background="@color/all_transparent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/ImageCollectSwitchLayout"
        android:layout_alignParentLeft="true"
        android:layout_alignParentTop="true">

        <include
            android:id="@+id/ImageCollectPreview"
            android:visibility="visible"
            layout="@layout/image_collect_preview" />
    </LinearLayout>

    <LinearLayout
        android:gravity="center"
        android:orientation="horizontal"
        android:id="@+id/ImageCollectSwitchLayout"
        android:background="@color/all_transparent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/ImageCollectPalletLayout"
        android:layout_alignParentLeft="true"
        android:layout_alignParentBottom="true">

        <RadioGroup
            android:orientation="horizontal"
            android:id="@+id/ImageCollectSwitch"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="8dp"
            android:checkedButton="@+id/leftBtn">

            <RadioButton
                android:textColor="@drawable/radio_text_color"
                android:id="@+id/ImageCollectSwitchLeft"
                android:background="@drawable/radio_left"
                android:layout_width="wrap_content"
                android:text="@string/enhance_text_button"
                android:singleLine="true"
                style="@style/CommonRadioButton" />

            <RadioButton
                android:textColor="@drawable/radio_text_color"
                android:id="@+id/ImageCollectSwitchMiddle"
                android:background="@drawable/radio_mid"
                android:layout_width="wrap_content"
                android:text="@string/enhance_text_more_button"
                android:singleLine="true"
                style="@style/CommonRadioButton" />

            <RadioButton
                android:textColor="@drawable/radio_text_color"
                android:id="@+id/ImageCollectSwitchRight"
                android:background="@drawable/radio_right"
                android:layout_width="wrap_content"
                android:text="@string/original_text_button"
                android:singleLine="true"
                style="@style/CommonRadioButton" />
        </RadioGroup>
    </LinearLayout>

    <LinearLayout
        android:layout_gravity="bottom"
        android:orientation="vertical"
        android:id="@+id/ImageCollectPalletLayout"
        android:background="@color/all_white"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentBottom="true">

        <include
            android:id="@+id/ImageCollectPallet"
            android:visibility="visible"
            layout="@layout/image_collect_pallet" />
    </LinearLayout>
</RelativeLayout>
